PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package deploy
  Definition Classes
    serverobject
- Deployment
- DeploymentBehavior

o

net.psforever.objects.serverobject.deploy

# Deployment

###
Companion trait Deployment

#### object Deployment

Source
  Deployment.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Deployment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CanDeploy(obj: DeploymentObject, state: types.DriveState.Value) extends Product with Serializable

   A response message to report successful deploy change.

   A response message to report successful deploy change.

   obj

     the object being deployed

   state

     the new deploy state

2.  final case class CanNotChangeDeployment(obj: DeploymentObject, to_state: types.DriveState.Value, reason: String) extends Product with Serializable

   A response message to report an unsuccessful deployment change.

   A response message to report an unsuccessful deployment change.

   obj

     the object being changed

   to_state

     the attempted deployment state

   reason

     a string explaining why the state can not or will not change

3.  final case class CanUndeploy(obj: DeploymentObject, state: types.DriveState.Value) extends Product with Serializable

   A response message to report successful undeploy change.

   A response message to report successful undeploy change.

   obj

     the object being undeployed

   state

     the new undeploy state

4.  type DeploymentObject = PlanetSideServerObject with Deployment

   A shorthand `type` for a valid object of `Deployment`.

5.  final case class TryDeploy(state: types.DriveState.Value) extends Product with Serializable

   A message for instigating a change to a deploy state.

   A message for instigating a change to a deploy state.

   state

     the new deploy state

6.  final case class TryDeploymentChange(state: types.DriveState.Value) extends Product with Serializable

   A message for instigating a change in deployment state.

   A message for instigating a change in deployment state.

   state

     the new deployment state

7.  final case class TryUndeploy(state: types.DriveState.Value) extends Product with Serializable

   A message for instigating a change to an undeploy state.

   A message for instigating a change to an undeploy state.

   state

     the new undeploy state

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CheckForDeployState(state: types.DriveState.Value): Boolean

   Is this `state` considered one of "deploy?"

   Is this `state` considered one of "deploy?"

   state

     the state to check

   returns

     yes, if it is a valid state; otherwise, false

5.  def CheckForUndeployState(state: types.DriveState.Value): Boolean

   Is this `state` considered one of "undeploy?"

   Is this `state` considered one of "undeploy?"

   state

     the state to check

   returns

     yes, if it is a valid state; otherwise, false

6.  def NextState(from_state: types.DriveState.Value): types.DriveState.Value

   Given a starting deployment state, provide the next deployment state in a sequence.
   Two sequences are defined.

   Given a starting deployment state, provide the next deployment state in a sequence.
   Two sequences are defined. The more elaborate sequence proceeds from `Mobile --> Deploying --> Deployed --> Undeploying --> Mobile`. This is the standard in-game deploy cycle. The sequence void of complexity is `State7 --> State7`. `State7` is an odd condition possessed mainly by vehicles that do not deploy.

   from_state

     the original deployment state

   returns

     the deployment state that is being transitioned

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped